use super::ErrorString;

pub fn parse(xml: String) -> Result<(), Error> {
    roxmltree::Document::parse(xml.as_str())?;

    Ok(())
}

pub struct Error(roxmltree::Error);

impl ErrorString for Error {
    fn to_string(self) -> String {
        self.0.to_string()
    }
}

impl std::convert::From<roxmltree::Error> for Error {
    fn from(error: roxmltree::Error) -> Error {
        Error(error)
    }
}